
Foreman - Bug #4324

VMware NIC type incorrectly shows E1000 instead of vmxnet3

02/12/2014 11:42 AM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Martin Matuška   

Category: Compute resources   

Target version: 1.5.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When I edit a VM in Foreman 1.4.0-1.el6, it shows both NICs are E1000 while in fact they are vmxnet3.

Related issues:

Related to Foreman - Bug #4307: New VMware VM creation does not respect NIC t... Closed 02/10/2014

Has duplicate Foreman - Bug #4933: Incorrect NIC type for VMware hosts Closed 03/28/2014

Blocked by Foreman - Tracker #4582: Upgrade to fog > 1.20 Closed

History

#1 - 02/12/2014 11:42 AM - Ewoud Kohl van Wijngaarden

- Related to Bug #4307: New VMware VM creation does not respect NIC type selection added

#2 - 02/14/2014 11:30 AM - Dominic Cleal

Confirmed.

#3 - 02/21/2014 03:04 PM - marcelo veglienzone

The same applies to the hard disk, no matter what you mark it's always set to thin provisioning ( it even happens when modifying the compute profile,

it always goes back to thin )

#4 - 02/21/2014 03:08 PM - Dominic Cleal

marcelo veglienzone wrote:

The same applies to the hard disk, no matter what you mark it's always set to thin provisioning ( it even happens when modifying the compute

profile, it always goes back to thin )

 The thin provisioning option should be fixed via #4159 in Foreman 1.4.1.

#5 - 02/21/2014 03:14 PM - marcelo veglienzone

Just saw the new version which supposedly fixed all this

#6 - 03/03/2014 12:19 PM - Ewoud Kohl van Wijngaarden

https://github.com/fog/fog/commit/7fa1873faace8c730434ed3d39251db8184c7131 fixes the issue.

#7 - 03/06/2014 10:49 PM - Anonymous

- Status changed from New to Pending

Setting this to pending. This depends on a new version of fog to be released and set for foreman to be used.

#8 - 03/07/2014 08:44 AM - Dominic Cleal

- Blocked by Tracker #4582: Upgrade to fog > 1.20 added
https://projects.theforeman.org/issues/4159
https://github.com/fog/fog/commit/7fa1873faace8c730434ed3d39251db8184c7131


#9 - 03/28/2014 03:35 PM - Dominic Cleal

- Has duplicate Bug #4933: Incorrect NIC type for VMware hosts added

#10 - 04/22/2014 12:42 PM - Dominic Cleal

- Status changed from Pending to Closed

- Assignee set to Martin Matuška

- Target version set to 1.8.4

- % Done changed from 0 to 100

- translation missing: en.field_release set to 4
